Advantech Device Specific Help

ADAM, PCR-420, and MicroDAC I/O Devices, V 3.2

The Advantech DLL driver supports Advantech ADAM  Data Acquisition Modules and PCR-420 digital I/O board, and Greyhills MicroDAC Controller. The following table lists all of the modules/devices and functions supported by the driver:

TABLE 1: Advantech DLL Driver Software Support

Hardware Type	DLL Driver	A/D	D/A	DIO	TEMP	RTD	COUNTER	ALARM

ADAM 4011	adADAM.drv	YES	NO	YES	YES	NO	YES	YES

ADAM 4012	adADAM.drv	YES	NO	YES	NO	NO	YES	YES

ADAM 4013	adADAM.drv	NO	NO	NO	YES	YES	NO	NO

ADAM 4014D	adADAM.drv	YES	NO	YES	NO	NO	YES	YES

ADAM 4017	adADAM.drv	YES	NO	NO	NO	NO	NO	NO

ADAM 4018	adADAM.drv	NO	NO	NO	YES	NO	NO	NO

ADAM 4021	adADAM.drv	NO	YES	NO	NO	NO	NO	NO

ADAM 4050	adADAM.drv	NO	NO	YES	NO	NO	NO	NO

ADAM 4052	adADAM.drv	NO	NO	YES	NO	NO	NO	NO

ADAM 4060	adADAM.drv	NO	NO	YES	NO	NO	NO	NO

ADAM 4080D	adADAM.drv	NO	NO	YES	NO	NO	YES	YES

PCR-420	adADAM.drv	NO	NO	YES	NO	NO	NO	NO

MicroDAC	adADAM.drv	YES	YES	YES	YES	YES	YES	NO

A/D=ANALOG INPUT, D/A=ANALOG OUTPUT,  DIO=DIGITAL I/O,TEMP=TEMPERATURE MEASUREMENT, RTD=RTD MEASUREMENT, COUNTER=EVENT COUNTER and/or FREQUENCY MEASUREMENT, ALARM=ANALOG INPUT LEVEL ALARM or COUNTER ALARM

*  All ADAM modules listed in the table communicate with the IBM PC/AT (or above)  through an RS-232 port using the special RS-232/RS-485 adapter,  ADAM 4520, or through a standard RS-485 port. The MicroDAC Controller can communicate through an RS-232 port using the special ADAM 4520  RS-232/RS-485 adapter, through a standard RS-485 port, or through an RS-422 port. The PCR-420 communicates through an RS-232 or standard RS-485 port.

The interface for the ADAM  DLL driver is provided through the Advantech ADAM  hardware which are  special RS-485 serial  modules for the PC.  One module  or multiple modules (up to 255 per comm port (64 MicroDACs))  may be connected in the system if necessary  to support  large control strategies. Full thermocouple linearization is provided through the ADAM 4011 and/or MicroDAC, and RTD temperature measurement through the ADAM 4013 and/or MicroDAC.

FUNCTIONAL DESCRIPTION

ADAM 4011 Module

1 analog input (voltages to +/- 2.5V) or 1 Thermocouple input

1 digital input and/or 1 event counter channel

2 digital outputs or 2 level-based latching-type alarms

ADAM 4012 Module

1 analog input (voltages to +/- 10V)

1 digital input and/or 1 event counter channel

2 digital outputs or 2 level-based latching-type alarms

ADAM 4013 Module

1 analog input (RTD) temperature

ADAM 4014D Module

1 analog input (voltages to +/- 10V)

1 digital input and/or 1 event counter channel

2 digital outputs or 2 level-based latching-type alarms

1 Numeric LED Display

ADAM 4017 Module

8 analog inputs (voltages to +/- 10V)

ADAM 4018 Module

8 Thermocouple temperature inputs

ADAM 4021 Module

1 analog output (voltage or current)

ADAM 4050 Module

7 digital inputs and 8 digital outputs

ADAM 4052 Module

8 digital inputs (isolated)

ADAM 4060 Module

4 digital outputs to control 4 on-board relays

ADAM 4080D Module

2 isolated or non isolated timer/counter channels, configured as event counters or frequency counters

1 programmable external gate for each channel

2 digital outputs or 2 count-based latching-type alarms

1 Numeric LED Display

PCR-420 Digital I/O Board

24 digital I/O channels

MicroDAC Controller

32 I/O channels, mix and match from following:

analog input channels

temperature input channels

analog output channels

digital input channels

digital output channels

event counter channels

HARDWARE CONFIGURATION

Before an acquisition module can work properly with the Advantech DLL driver, it must be configured correctly.  You must determine the hardware options (input range(s), I/O address, etc.) which suit your particular requirements.  For all ADVANTECH ADAM modules, configuration is a matter of using the supplied program ADAM.EXE to configure each module before entering the driver installation program. On MicroDAC Controllers, appropriate dip switches must be set before entering the driver installation program. The Greyhill MicroDAC program GH-TALK.EXE can be used for certain configuration options. Read the manual that comes with your ADVANTECH ADAM module or other I/O device to determine how to configure the hardware.   All ADVANTECH ADAM modules are shipped with the factory default settings of address 1 at a rate of 9600 baud with no checksum enabled.  Change the configuration so that each module to be installed is located at a different address, in the range between 1  and 255 decimal (1 and ff hex). Choose the desired baud rate. Configure all ADAM Modules and PCR-420 as below:

1) No Checksum

2) Desired baud rate (default of 9600 is O.K for most applications)

2) Floating point (Engineering Units) format (Analog Modules)

3) Disable Alarm, if digital output is to be used (Analog Input or Counter Modules)

4) Enable Alarm as "latching type", if alarm is to be used (Analog Input or Counter

Modules)

Configuring the ADAM 4011, 4012, 4013, 4014D,  4017, and 4018 Analog Input Modules

The following options must be configured for the modules to be used with the Advantech DLL driver:

*  Base Address (1-255 dec. or 1 - ff hex)

*  A/D Input Range or Gain (ADAM 4011, 4012, 4014D, 4017)

*  or Thermocouple type (ADAM 4011, 4018)

*  or RTD type (ADAM 4013)

*  Floating point (Engineering Units) format only

*  No Checksum

*  Enable Digital I/O (Disable Alarm), if you intend to use Digital I/O (ADAM 4011, 4012, 4014D)

*  Enable Latch Alarm (Disable Digital I/O) if you intend to use alarm (ADAM 4011, 4012, 4014D)

*  Desired baud rate (default of 9600 is O.K for most applications)

Software Gain Setting:

For all ADAM Analog Input Modules, the A/D gain is set directly through the ADAM.EXE software.  Since the module itself does the floating point conversion, the application software will display the exact output of the module for the range selected.

Analog Input:

Each module allows one analog input for the chosen range. If temperature measurement is required, the module itself performs all thermocouple linearization. The temperature scale defaults to degrees C. Conversion to other temperature scales can be done through the application software, if supported.

Digital I/O:

Except for the ADAM 4013, 4017, and 4018, each of the analog input modules has 1 digital input and 2 digital output bits if the module's alarm function is disabled.

Event Counter:

Except for the ADAM 4013, 4017, and 4018, each of the analog input modules has 1 digital input that also functions as a rising edge event counter. The maximum rate is 50Hz, and maximum count is 65535. In reference to the event counter operation, hardware "gating", in which the counter may be started by a seperate external hardware input, is not supported by the ADAM modules and driver DLL. When starting the counter/timer, the effect will be to reset the counter to zero. The ADAM 4011,4012, 4014D event counter may not be stopped or may not be reset to any value other than zero.

Alarms:

Except for the ADAM 4013, 4017, and 4018, each of the analog input modules provides 2 alarms -- high level and low level -- if the module's latching alarm function has been enabled.  The alarm's high level and low level are set via the ADAM.EXE utility supplied with the module. Refer to the ADAM technical manual for instructions.

Configuring the ADAM 4021 Analog Output Module

The following options must be configured for  the module  to be used with the Advantech DLL driver:

*  Base Address (1-255 dec. or 1 - ff hex)

*  D/A Output Range or Gain (Current or Voltage)

*  Floating Point (Engineering Units) format only

*  No Checksum

*  Desired baud rate (default of 9600 is O.K for most applications)

Software Gain Setting:

For  ADAM D/A Modules, the D/A range is set directly through the ADAM.EXE software. The Application software will then display the exact output of the Module for the range selected.

Analog Out:

Each module allows for one analog output for the chosen range.

Configuring the ADAM 4050, ADAM 4052, ADAM 4060 or PCR-420

The following options must be configured before the module or board can be used with the Advantech DLL driver:

*  Base Address (1-255 dec. or 1 - ff hex)

*  No Checksum

*  Desired baud rate (default of 9600 is O.K for most applications)

Digital I/O:

The ADAM 4050 module provides 7 digital input and 8 digital output bits.

The ADAM 4052 module provides 8 isolated digital input bits.

The ADAM 4060 module provides 4 digital output bits that control 4 on-board relays.

The PCR-420 board provides 24 digital I/O channels (bits).

Configuring the ADAM 4080D Event Counter/Frequency Counter Modules

The following options must be configured for the modules to be used with the Advantech DLL driver:

*  Base Address (1-255 dec. or 1 - ff hex)

*  Choose Event Counter or Frequency Counter

*  Desired baud rate (default of 9600 is O.K for most applications)

*  No Checksum

*  Disable or Enable Hardware Gating

*  Enable Digital I/O (Disable Alarm), if you intend to use Digital I/O

*  Enable Latch Alarm (Disable Digital I/O) if you intend to use alarm

Digital I/O:

Each module has 2 digital output bits if the module's alarm function is disabled.

Event Counter:

Each module provides two rising edge event counters or two frequency counters. The maximum rate is 65535 Hz, and maximum count is 2^32 or 4,294,967,295. In reference to the event counter operation, hardware "gating", in which the counter may be started by a seperate external hardware input, is supported by the ADAM 4080D module and driver DLL for event counter operation only (not for frequency measurement). External gating is enabled or disabled through the supplied Adam Configuration Utility, ADAM.EXE. When starting the counter/timer with the DLL driver, the counter will automatically be reset to zero. The ADAM 4080D may not be reset to any value other than zero.

Alarms:

Each module provides 2 alarms -- high count and low count -- if the module's latching alarm function has been enabled.  The alarm's high count and low count are set via the ADAM.EXE utility supplied with the module. Refer to the ADAM technical manual for instructions.

Configuring the MicroDAC Controller

The following options must be configured for the Controller to be used with the Advantech DLL driver:

*  Base Address (1-255 dec. or 1 - ff hex)

*  Desired baud rate (9600 is O.K for most applications)

*  Configure for multi-drop wiring if to be used on the RS-485 bus

*  Configure for multi-drop or repeat mode wiring if to be used on an RS-422 bus

*  Configure in 2 Pass communications command-response mode

*  A/D Input Range or Gain for positions containing A/D modules

*  D/A Output Range or Gain (Current or Voltage) for positions containing D/A modules

*  Digital I/O for positions containing digital modules

*  Thermocouple type for positions containing Thermocouple modules

*  RTD type for positions containing RTD modules

Software Gain Setting:

For MicroDAC Controllers, the A/D gain is selected through the application software, which will display the exact output of the module for the range selected. The D/A range is set  through the Device Installation Utility (DEVINST.EXE) for I/O rack positions with D/A modules installed. The application software will then display the exact output of the module for the range selected.

Analog Out:

Each D/A module installed in the I/O rack allows for one analog output for a fixed range.

Analog Input:

Each A/D module in the I/O rack allows one analog input of fixed range. If temperature measurement is required, the MicroDAC performs all thermocouple linearization. The temperature scale defaults to degrees C. Conversion to other temperature scales can be done through the application software, if supported.

Digital I/O:

Each digital input or digital output module in the I/O rack provides 1 digital bit

Event Counter:

Digital Input channels may be used  as rising edge event counters. The maximum rate is 1Khz, and maximum count is 65535. In reference to the event counter operation, hardware "gating", in which the counter may be started by a seperate external hardware input, is not supported by the MicroDAC. When starting the counter/timer, the effect will be to reset the counter to zero.